> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Get Organization Services

GET https://api.eis.it/v1/service/org/list

Retrieve services visible to the authenticated user's organization. Requires the `service_view` authority.

Reference: https://docs.eis.it/api/reference/services/get-organization-services

## Response

### 200

Organization services retrieved successfully.

- `list of ServiceOrg`

## Errors

### 403 Forbidden Error

Forbidden - Insufficient permissions

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Types

### ServiceOrg

- `id` (integer, optional) — Organization service identifier.
- `organizationId` (long, optional, nullable) — Organization owning the configured service.
- `integration` (ServiceOrgIntegration, optional, nullable) — Integration summary exposed for the service.
- `name` (string, optional, nullable) — Organization-specific service name.
- `forDirect` (boolean, optional, nullable) — Whether the service is available for direct customers.
- `forSub` (boolean, optional, nullable) — Whether the service is available for subpartners.
- `carrierType` (string, optional, nullable) — Carrier-specific service classification.
- `offsetDays` (integer, optional, nullable) — Service scheduling offset in days.
- `attributes` (map from string to any, optional, nullable) — Provider-specific service attributes.

### ServiceOrgIntegration

Integration summary exposed for the service.

- `id` (integer, optional)
- `name` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "id": 1,
    "organizationId": 1,
    "integration": {
      "id": 1,
      "name": "string"
    },
    "name": "string",
    "forDirect": true,
    "forSub": true,
    "carrierType": "string",
    "offsetDays": 1,
    "attributes": {},
    "serviceList": null
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/service/org/list"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/service/org/list';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/service/org/list"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/service/org/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.eis.it/v1/service/org/list")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.eis.it/v1/service/org/list');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/service/org/list");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/service/org/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```